Name:           tellico
Version:        1.2.10
Release:        1%{?dist}
Summary:        A collection manager

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.periapsis.org/tellico/
Source0:        http://www.periapsis.org/tellico/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libxslt-devel
BuildRequires:  libxml2-devel
BuildRequires:  qt-devel
BuildRequires:  arts-devel
BuildRequires:  kdemultimedia-devel
BuildRequires:  kdelibs-devel
BuildRequires:  kdepim-devel
BuildRequires:  gettext
BuildRequires:  libgcrypt-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  taglib-devel
BuildRequires:  libyaz-devel

%if "%fedora" < "7"
BuildRequires: tcp_wrappers
%else
BuildRequires: tcp_wrappers-devel
%endif

Requires:       python

%description
Tellico is a collection manager for KDE. It includes default collections for
books, bibliographies, comic books, videos, music, coins, stamps, trading
cards, and wines, and also allows custom collections. Unlimited user-defined
fields are allowed. Filters are available to limit the visible entries by
definable criteria. Full customization for printing is possible through
editing the default XSLT file. It can import CSV, Bibtex, and Bibtexml and
export CSV, HTML, Bibtex, Bibtexml, and PilotDB. Entries may be imported
directly from Amazon.com.


%prep
%setup -q


%build
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
# HTML
for lang_dir in $RPM_BUILD_ROOT%{_docdir}/HTML/* ; do
  lang=$(basename $lang_dir)
  [ "$lang" == "en" ] && d=en/%{name} || d=$lang
  echo "%lang($lang) %doc %{_docdir}/HTML/$d" >> %{name}.lang
done

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category X-Fedora                           \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/*


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO
%{_bindir}/*
%{_datadir}/applications/kde/tellico.desktop
%{_datadir}/apps/kconf_update/
%{_datadir}/config.kcfg/tellico_config.kcfg
%{_datadir}/apps/tellico/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mimelnk/application/x-tellico.desktop


%changelog
* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.10-1
- New upstream version.

* Thu Mar  8 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.9-1
- Update to 1.2.9.

* Tue Feb  6 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.8-1
- New upstream version.

* Mon Feb  5 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.7-3
- Condicionalize the BR for tcp_wrappers, it has a proper devel file
  for Fedora >= 7.

* Tue Jan 30 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.7-2
- BR tcp_wrappers.

* Tue Jan 30 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.7-1
- New upstream version.

* Mon Dec  4 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2.6-1
- New upstream version.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.2.2-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2.2-1
- Revert desktop file to original one, and drop vendor.
- New upstream release.
- Pass --disable-rpath to configure.

* Sun Sep  3 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2-2
- --vendor=fedora
- Use correct capitalization for Summary
- Remove useless entries in docs.

* Fri Sep  1 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2-1
- Submitted to Fedora Extras (loosely based on Dag and Dries version)

